'use strict';

var _chai = require('chai');

var _dist = require('../dist');

var _dist2 = _interopRequireDefault(_dist);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('error: 1', function () {
  it('promise style', function (done) {
    var fetchConfig = {
      url: _utils.ROOT + '/error1'
    };
    var errorHandler = function errorHandler(res) {
      (0, _chai.expect)(res.status).to.equal(1);
      (0, _chai.expect)(res.error).to.exist;
    };
    (0, _dist2.default)(fetchConfig).send().catch(errorHandler).then(function () {
      done();
    }).catch(function (err) {
      console.log(err);
    });
  });

  it('callback style', function (done) {
    var fetchConfig = {
      url: _utils.ROOT + '/error1'
    };
    var errorHandler = function errorHandler(res) {
      (0, _chai.expect)(res.status).to.equal(1);
      (0, _chai.expect)(res.error).to.exist;
    };
    (0, _dist2.default)(Object.assign({}, fetchConfig, {
      error: errorHandler
    })).send().catch(errorHandler).then(function () {
      done();
    }).catch(function (err) {
      console.log(err);
    });
  });
}); /* eslint no-unused-expressions: 0 */
//# sourceMappingURL=error1.spec.js.map